# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
    imports = [
        ../../modules/system.nix
        ../../modules/nix-settings.nix
        ../../modules/vpn.nix
        ../../modules/fonts.nix
        ../../modules/firewall.nix
        ../../modules/localisation.nix
        ../../modules/openssh.nix
        ../../modules/pipewire.nix
        ../../modules/podman.nix
        ../../modules/services.nix
        ../../modules/regreet/regreet.nix
        ../../modules/plymouth.nix
        ../../modules/file_managers/spacefm.nix

# Include the results of the hardware scan.
        ./hardware-configuration.nix
    ];

    programs.geary.enable = true;

    boot.loader = {
        grub = {
            enable = true;
            device = "/dev/sda";
        };
    };

    networking.hostName = "nix-qemu"; # Define your hostname.

    hardware.graphics.enable = true;

    system.stateVersion = "25.11"; # Did you read the comment?

}


