{ pkgs, ...}:
{

    environment.systemPackages = with pkgs; [
        # Virtualisation 
        podman-compose # docker-compose alternative
        dive # docker layer viewer
        podman-tui # status of containers in terminal
        podman-desktop # Desktop client
        tailscale # Vpn
    ];
    # Virtualisation
    virtualisation = {
        containers.enable = true;

        podman = {
            enable = true;
            dockerCompat = true;
            defaultNetwork.settings.dns_enabled = true;
        };

        oci-containers = {
            backend = "podman";
            containers = {
                /*container-name = {
                    image = "image";
                    autoStart = true;
                    ports = [ "127.0.0.1:1234:1234" ];
                };*/
            };
        };
    };

}
